Show / Hide Table of Contents

# Class RPRGauge

In-memory RPR job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<ReaperGauge>
RPRGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class RPRGauge : JobGaugeBase<ReaperGauge>

### Properties

| Improve this Doc View Source

#### EnshroudedTimeRemaining

Gets the time remaining that Enshrouded is active.

##### Declaration

    public ushort EnshroudedTimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### LemureShroud

Gets the amount of Lemure Shroud available.

##### Declaration

    public byte LemureShroud { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Shroud

Gets the amount of Shroud available.

##### Declaration

    public byte Shroud { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Soul

Gets the amount of Soul available.

##### Declaration

    public byte Soul { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### VoidShroud

Gets the amount of Void Shroud available.

##### Declaration

    public byte VoidShroud { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |